## xjdic 23

=== Makefile ===
########################################################################
#
#       X J D I C
#
#######################################################################
# This is the makefile for xjdic/xjdserver/xjdxgen V2.3
# 
# to use this file, you have several options:
#	make all - does all the binaries
#	make client - just makes the xjdic_cl binary
#	make server - just makes the xjdserver server
#	make stand - just makes the xjdic_sa stand-alone version
#	make xjdxgen - just makes the xjdxgen index generator
#	make exjdxgen - just makes the exjdxgen extension file index generator
#	make clean - just tidies up, removing the .o files.
#	make realclean - deletes everything compiled, not just .o files.
#
#	This Makefile is set to use the gcc compiler. If you want cc instead
#	you will need to alter the "CC=gcc" below, or use CC=cc on the command 
#	line.
#
#	If you want strict BSD ioctls used (which seems to be the case
#	for Suns) add -D__STRICT_BSD___ to the SACFLAGS and CLCFLAGS macros.
#
#	You need to select one of three dictionary and index file
#	access options by uncommenting the appropriate SACFLAGS and
#	SVCFLAGS macros:
#
#		memory-mapped I/O	use -DMMAP
#		demand-paging		use -DDEMAND_PAGING
#		load into RAM		use -DRAM_LOAD
#
#	Memory-mapped I/O does not appear to function correctly
#	under Ultrix. It works with Solaris and Linux.
#
#	Note that it is assumed that window-size ioctls are available.
#	If you want to use curses instead, delete the -DWINSIZE....,
#	and compile the client and/or the stand-alone programs with
#	the "-lcurses -ltermcap".
#
#	Expect some compilation warnings about "qsort". No-one seems
#	able to remove them.
#
#	For DEC Ultrix, you will probably need to alter the comments
#	on the SACFLAGS and SVCFLAGS macros to remove MMAP, as this
#	appears not to work on that OS.
#
#	For Sun and Linux, you may need to include the "unistd.h" file.
#
#	For Solaris 2.x, you will probably need to uncomment the following
#	if you want to use the server/client operation. Also be prepared
#	for some complaining about pointer mismatches in routines like
#	`recv'. They can be ignored.
#
#LIBS= -lsocket -lnsl
#
CC=gcc -g
all: xjdic_sa xjdic_cl xjdserver xjdxgen exjdxgen
client: xjdic_cl
server: xjdserver
stand: xjdic_sa
#
#	X J D X G E N
#
JDXOBJECTS = xjdxgen.o
xjdxgen: $(JDXOBJECTS)
	$(CC) $(JDXOBJECTS) -o xjdxgen
xjdxgen.o:	xjdxgen.c
	$(CC) -c xjdxgen.c
#
#	E X J D X G E N
#
EJDXOBJECTS = exjdxgen.o
exjdxgen: $(EJDXOBJECTS)
	$(CC) $(EJDXOBJECTS) -o exjdxgen
exjdxgen.o:	exjdxgen.c
	$(CC) -c exjdxgen.c
#
#	S T A N D _ A L O N E 
#
SAOBJECTS = xjdsa.o xjdcomm_sa.o xjdservcomm_sa.o xjdfrontend_sa.o
#SACFLAGS = -DXJDFRONTEND -DXJDDIC -DDEMAND_PAGING
SACFLAGS = -DXJDFRONTEND -DXJDDIC -DMMAP
#SACFLAGS = -DXJDFRONTEND -DXJDDIC -DRAM_LOAD
xjdic_sa: $(SAOBJECTS)
	$(CC) $(SAOBJECTS) -o xjdic_sa
xjdsa.o: xjdsa.c
	$(CC) -c $(SACFLAGS) xjdsa.c
xjdcomm_sa.o: xjdcomm.c
	$(CC) -c $(SACFLAGS) xjdcomm.c -o xjdcomm_sa.o
xjdservcomm_sa.o: xjdservcomm.c
	$(CC) -c $(SACFLAGS) xjdservcomm.c -o xjdservcomm_sa.o
xjdfrontend_sa.o: xjdfrontend.c
	$(CC) -c $(SACFLAGS) xjdfrontend.c -o xjdfrontend_sa.o
$(SAOBJECTS): xjdic.h
#
#	C L I E N T
#
CLOBJECTS = xjdclient.o xjdcomm_cl.o xjdfrontend_cl.o
CLCFLAGS = -DXJDFRONTEND -DXJDCLSERV
xjdic_cl: $(CLOBJECTS)
	$(CC) $(CLOBJECTS) $(LIBS) -o xjdic_cl
xjdclient.o: xjdclient.c
	$(CC) -c $(CLCFLAGS) xjdclient.c
xjdcomm_cl.o: xjdcomm.c
	$(CC) -c $(CLCFLAGS) xjdcomm.c -o xjdcomm_cl.o
xjdfrontend_cl.o: xjdfrontend.c
	$(CC) -c $(CLCFLAGS) xjdfrontend.c -o xjdfrontend_cl.o
$(CLOBJECTS): xjdic.h
#
#	S E R V E R
#
SVOBJECTS = xjdcomm_sv.o xjdservcomm_sv.o xjdserver.o
#SVCFLAGS = -DXJDDIC -DXJDCLSERV -DDEMAND_PAGING
SVCFLAGS = -DXJDDIC -DXJDCLSERV -DMMAP
#SVCFLAGS = -DXJDDIC -DXJDCLSERV -DRAM_LOAD
xjdserver: $(SVOBJECTS)
	$(CC) $(SVOBJECTS) $(LIBS) -o xjdserver
xjdcomm_sv.o: xjdcomm.c
	$(CC) -c $(SVCFLAGS) xjdcomm.c -o xjdcomm_sv.o
xjdservcomm_sv.o: xjdservcomm.c
	$(CC) -c $(SVCFLAGS) xjdservcomm.c -o xjdservcomm_sv.o
xjdserver.o: xjdserver.c
	$(CC) -c $(SVCFLAGS) xjdserver.c 
$(SVOBJECTS): xjdic.h
#
clean:
	rm -f *.o
realclean: clean
	rm -f xjdic_sa xjdic_cl xjdserver xjdxgen exjdxgen
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 1, or (at your option)
#    any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.     */

## xjdic 24

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #       X J D I C
 #
 #######################################################################
-# This is the makefile for xjdic/xjdserver/xjdxgen V2.3
+# This is the makefile for xjdic/xjdserver/xjdxgen V2.4
 # 
 # to use this file, you have several options:
 #	make all - does all the binaries

=== debian/changelog ===
xjdic (24-13) unstable; urgency=medium

  * GCC-15 fix. Closes: #1098147

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 29 Sep 2025 20:31:43 +0200

xjdic (24-12) unstable; urgency=medium

  * Fix the FTBFS with gcc 14. Closes: #1075665

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 21 Aug 2024 22:07:36 +0200

xjdic (24-11.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix missing function declarations. Closes: #1066228

 -- Bastian Germann <bage@debian.org>  Tue, 07 May 2024 16:30:08 +0000

xjdic (24-11.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. Closes: #1007609
  * Drop strlcat copy which is included in glibc now.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply a C compiler. Closes: #968422

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 12:05:01 +0200

xjdic (24-11) unstable; urgency=medium

  * Thanks to Frederic Briere for all the following patches
  * GCC-10 patch. Closes: #957985
  * patch: May crash on long definitions when looking up plain form verbs. 
    Closes: #853797
  * patch: Does not display spaces in definitions past 80 columns. 
    Closes: #857968
  * patch: Eventually segfaults after EOF. Closes: #857971
  * patch: Removal of obsolete debhelper compat 5 and 6 in bookworm. 
    Closes: #965903

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 10 Aug 2020 12:04:46 +0200

xjdic (24-10) unstable; urgency=medium

  * Fixed buffer overrruns bugs in xjdfrontend.c. Closes: #786844
  * Fixed the 2 Mahyem bugs. Closes: #716509, #716514
    But there are waaaay more bugs left in the code, a complete rewrite of 
    xjdic would be more simple...
  * Fixed the clang compile bugs. Closes: #740227, #748419

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 17 Jun 2015 21:16:03 +0200

xjdic (24-9) unstable; urgency=medium

  * Fixed: Hurd patch broke tty ioctl(). Closes: #673341
  * Fixed: xjdxgen crashes with exit status 139. Closes: #716516
  * Fixed bug in xjdcomm.c. Closes: #716513 #716515
  * hardening with dpkg-buildflags

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 10 Feb 2014 20:44:51 +0100

xjdic (24-8) unstable; urgency=low

  * xjdicconfig man page belongs to section 8. Closes: #512452
  * fixed a FTBFS on hurd-i386. Closes: #670884
  * fixed the "Reply overrun". Closes: #475836

 -- Ludovic Drolez <ldrolez@debian.org>  Tue, 08 May 2012 18:22:22 +0200

xjdic (24-7) unstable; urgency=medium

  * Fixed the FTBFS on GNU/kFreeBSD. Urgency set to medium. Closes: #414208
  * Added xjdrad. Closes: #438831
  * Bad usage of termios constants was breaking xjdic on PowerPC. 
    Closes: #258111
  
 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 12 Mar 2007 18:32:07 +0100

xjdic (24-6) unstable; urgency=low

  * fix for a segfault on ia64. Closes: #325787

 -- Ludovic Drolez <ldrolez@debian.org>  Thu,  1 Sep 2005 10:43:02 +0200

xjdic (24-5) unstable; urgency=low

  * set VMAX to 600 to avoid verb data overflow. Closes: #253995

 -- Ludovic Drolez <ldrolez@debian.org>  Fri,  1 Apr 2005 22:32:45 +0200

xjdic (24-4) unstable; urgency=low

  * Debian watch file added
  * Applied a patch for amd64. Closes: Bug#280315.

 -- Ludovic Drolez <ldrolez@debian.org>  Sat, 13 Nov 2004 22:06:26 +0200

xjdic (24-3) unstable; urgency=low

  * Symlink to GNU license corrected. Closes: #204782.

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 11 Aug 2003 19:56:37 +0200

xjdic (24-2) unstable; urgency=low

  * Only depends on DFSG compliant packages, so now moved in free.
  * The GNU license is now displayed correctly with the '!' key

 -- Ludovic Drolez <ldrolez@debian.org>  Sat, 26 Jul 2003 23:23:27 +0200

xjdic (24-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Drolez <ldrolez@debian.org>  Sun, 22 Jun 2003 23:17:05 +0200

xjdic (23-5) unstable; urgency=low

  * Segfault bug fixed thanks to Jim Breen. Closes: Bug#180836

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 22 May 2003 23:53:12 +0200

xjdic (23-4) unstable; urgency=low

  * New maintainer. Closes: Bug#192688
  * Take into account DEB_BUILD_OPTIONS
  * More dictionaries in /usr/sbin/xjdicconfig. Closes: Bug#141321
  * Exact match option for .xjdicrc. Closes: Bug#152105

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 21 May 2003 15:40:31 +0200

xjdic (23-3) unstable; urgency=low

  * Put edict and kanjidict to depends list. (closes: #88117)

 -- Hayao Nakahara <nakahara@debian.org>  Thu, 27 Dec 2001 04:50:09 +0900

xjdic (23-2) unstable; urgency=low

  * Initial Debian Release.

 -- Hayao Nakahara <nakahara@debian.org>  Tue, 19 Oct 1999 01:18:34 +0900

xjdic (23-1) unstable; urgency=low

  * new upstream source.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Sun, 16 May 1999 16:56:53 +0900

xjdic (22-5) frozen-jp unstable-jp; urgency=low

  * changed the dictionary directory to /var/lib/xjdic.
  * added xjdicconfig.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 26 Nov 1998 04:53:58 +0900

xjdic (22-4) contrib; urgency=low

  * compiled with libc6.
  * applied some of patches by Katsuya Nagai (katsuya@kcn.or.jp).
  * moved dictionary directory to /usr/share/dict.
  * fixed xjdxgen.c.
  * fixed bugs: JP/134, JP/150.
  * fixed postinst.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 21 May 1998 00:57:41 +0900

xjdic (22-3) contrib-jp; urgency=low

  * fixed the location of _xjdicrc.expamle.
  * put edict to Depends.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Tue, 22 Apr 1997 21:00:26 +0900

xjdic (22-2) unstable; urgency=low

  * Fixed dependency.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 30 Jan 1997 15:33:24 +0900

xjdic (22-1) unstable; urgency=low

  * Initial Release.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Sat, 16 Nov 1996 19:49:01 +0900

=== debian/control ===
Source: xjdic
Section: text
Priority: optional
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Build-Depends: debhelper (>> 13~), libc-dev (>= 2.38)
Standards-Version: 4.5.0

Package: xjdic
Architecture: any
Depends: ${shlibs:Depends}, edict, kanjidic, ${misc:Depends}
Recommends: kterm
Description: Japanese-English dictionary search program
 XJDIC is an  electronic  Japanese-English  dictionary  program  designed  to 
 operate  in  the  X11 window environment.  In particular,  it must run in an 
 "xterm" environment which has Japanese language support such as provided  by 
 "kterm".

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

-include /usr/share/dpkg/buildtools.mk
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Linking will fail with -fno-common, which is the default since GCC 10
CFLAGS += -fcommon

#export CFLAGS := -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O3
endif

DH_STRIP=dh_strip
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    DH_STRIP=true
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build-arch: build
build-indep: build

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CC="$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)"
	#/usr/bin/docbook-to-man debian/test-s.sgml > test-s.1
	cp -f xjdic24.inf xjdic24.txt
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	$(MAKE) realclean
	rm -f xjdic24.txt

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/test-s.
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/test-s
	install -m 755	exjdxgen 	debian/xjdic/usr/bin/exjdxgen
	install -m 755	xjdic_cl 	debian/xjdic/usr/bin/xjdic_cl
	install -m 755	xjdic_sa 	debian/xjdic/usr/bin/xjdic_sa
	ln -sf		xjdic_sa 	debian/xjdic/usr/bin/xjdic
	install -m 755	xjdserver 	debian/xjdic/usr/bin/xjdserver
	install -m 755	xjdxgen 	debian/xjdic/usr/bin/xjdxgen
	install -m 755	xjdrad 		debian/xjdic/usr/bin/xjdrad
	install -m 755	debian/xjdicconfig \
					debian/xjdic/usr/sbin/xjdicconfig
	install -m 644	debian/.xjdicrc.skel 	\
				debian/xjdic/usr/share/doc/xjdic/dot.xjdicrc
	install -m 644	xjdic.1 	debian/xjdic/usr/share/man/man1/xjdic.1
	install -m 644	debian/xjdicconfig.man \
			 	debian/xjdic/usr/share/man/man8/xjdicconfig.8
	install -m 644	kanjstroke 	debian/xjdic/var/lib/xjdic
	install -m 644	radicals.tm 	debian/xjdic/var/lib/xjdic
	install -m 644	radkfile 	debian/xjdic/var/lib/xjdic
	install -m 644	romkana.cnv 	debian/xjdic/var/lib/xjdic
	install -m 644	vconj	 	debian/xjdic/var/lib/xjdic
	ln -sf /usr/share/common-licenses/GPL debian/xjdic/var/lib/xjdic/gnu_licence 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link 
	$(DH_STRIP)
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=2
ftp://ftp.cc.monash.edu.au/pub/nihongo/xjdic([\d\.]*)\.tgz	debian uupdate
